package org.springblade.yeePay.api;

import com.yeepay.yop.sdk.service.common.request.YopRequest;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 易宝--通用api
 * @since: 9/6/21 -- 11:14 AM
 */
@Getter
public enum  YeepayCommon {

	/**
	 *  添加图片到易宝服务器
	 * */
	ADD_FILE_TO_YEEPAY("/yos/v1.0/sys/merchant/qual/upload","POST"),

	/**
	 *  添加图片到易宝服务器
	 * */
	ADD_WECHAT_CONFIG("/rest/v2.0/aggpay/wechat-config/add","POST"),

	/**
	 *  添加图片到易宝服务器
	 * */
	QUERY_WECHAT_CONFIG("/rest/v2.0/aggpay/wechat-config/query","GET"),




	;

	String requestUrl;
	String requestMethods;

	YeepayCommon(String url,String requestMethods){
		this.requestMethods = requestMethods;
		this.requestUrl = url;
	}

	public YopRequest buildRequest(){
		return new YopRequest(requestUrl,requestMethods);
	}
}
